%define name	swami
%define version	0.9.4
%define release	%mkrel 1

Summary:	A GPL sound font editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://swami.sourceforge.net
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}16.png
Source2:	%{name}32.png
Source3:	%{name}48.png
Requires:	fluidsynth
BuildRequires:	fluidsynth-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libsndfile-devel
BuildRequires:	gtk-devel
BuildRequires:	zlib-devel
BuildRequires:	popt-devel
BuildRequires:	gettext
BuildRequires:	bison
BuildRoot: 	%_tmppath/%{name}-root

%description
Swami is an instrument patch file editor using SoundFont files that allows
you to create and distribute instruments from audio samples used for
composing music. It uses iiwusynth, a software synthesizer, which has real
time effect control, support for modulators, and routable audio via Jack.
This project supersedes the Smurf Sound Font Editor, and is an entire
object-oriented rewrite of it. The supporting libraries are GUI-independent
and can be used in your own programs for doing SoundFont manipulation.

%prep
%setup -q

%build
%configure2_5x	--with-pic --with-gnu-ld --disable-nls --disable-gnome-canvas
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

# Mandriva Menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Audio;Editor;X-MandrivaLinux-Multimedia-Sound;
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README ABOUT-NLS
%{_bindir}/%name
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%name.desktop
%{_libdir}/%{name}


%changelog
* Sun Jan 07 2007 Crispin Boylan <crisb@mandriva.org> 0.9.4-1mdv2007.0
+ Revision: 105338
- BuildRequires popt-devel
- New version, XDG menu
- Import swami



* Sun Apr 30 2006 Austin Acton <austin@mandriva.org> 0.9.3-1mdk
- New release 0.9.3

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.9.2-2mdk
- birthday
- fix summary and buildrequires

* Sun Nov 30 2003 Austin Acton <austin@linux.ca> 0.9.2-1mdk
- 0.9.2
- fluidsynth, no iiwu
- no libs

* Tue Apr 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.1a-3mdk
- be sure to own %{_libdir}/%{name} (from oliviers cute little friend;)
- use a few configure options
- buildrequires

* Wed Mar 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.1a-2mdk
- replace obsolete Copyright tag with License tag
- use %%mklibname macro
- use %%configure macro

* Wed Mar 19 2003 Austin Acton <aacton@yorku.ca> 0.9.1a-1mdk
- 0.9.1a

* Fri Jan 31 2003 Austin Acton <aacton@yorku.ca> 0.9.0-1mdk
- adapted spec file from Torbjorn Turpeinen <tobbe@nyvalls.se>
